List quick send sets
curl --request GET \
--url https://api.noux.app/api/v1/quick-send/sets \
--header 'Authorization: Bearer <token>' \
--header 'authorization: <authorization>'const options = {
method: 'GET',
headers: {authorization: '<authorization>', Authorization: 'Bearer <token>'}
};
fetch('https://api.noux.app/api/v1/quick-send/sets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.noux.app/api/v1/quick-send/sets"
headers = {
"authorization": "<authorization>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"sets": [
{
"setId": "<string>",
"name": "<string>",
"allowsCallerToChooseSchedule": true,
"options": [
{
"optionId": "<string>",
"name": "<string>"
}
]
}
]
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}Quick send
List quick send sets
List the quick send sets your organization has enabled for the API, together with their options. Use a setId and optionId from this response when calling the trigger endpoint. Authenticate using Bearer token with your Noux API key.
GET
/
api
/
v1
/
quick-send
/
sets
List quick send sets
curl --request GET \
--url https://api.noux.app/api/v1/quick-send/sets \
--header 'Authorization: Bearer <token>' \
--header 'authorization: <authorization>'const options = {
method: 'GET',
headers: {authorization: '<authorization>', Authorization: 'Bearer <token>'}
};
fetch('https://api.noux.app/api/v1/quick-send/sets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.noux.app/api/v1/quick-send/sets"
headers = {
"authorization": "<authorization>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"sets": [
{
"setId": "<string>",
"name": "<string>",
"allowsCallerToChooseSchedule": true,
"options": [
{
"optionId": "<string>",
"name": "<string>"
}
]
}
]
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}